<?php declare(strict_types=1);

// namespace App\Http\Integrations\AdaQuote\Requests;

namespace LidoNation\Adapayments\App\Http\Integrations\Coinbase\Requests;

use Saloon\Enums\Method;
use Saloon\Http\Request;

class GetQuoteRequest extends Request
{
    /**
     * The HTTP method of the request
     */
    protected Method $method = Method::GET;

    public function __construct(protected string $base)
    {

    }

    /**
     * The endpoint for the request
     */
    public function resolveEndpoint(): string
    {
        return '/v2/exchange-rates?currency='.$this->base;
    }
}
