<?php declare(strict_types=1);

// namespace App\Http\Integrations;

namespace LidoNation\Adapayments\App\Http\Integrations\Coinmarketcap;

use Saloon\Http\Connector;

class CoinMarketCapConnector extends Connector
{
    /**
     * Constructor
     *
     * @param  string  $apiKey
     */
    public function resolveBaseUrl(): string
    {
        return 'https://pro-api.coinmarketcap.com';
    }

    public function defaultHeaders(): array
    {
        return [
            'X-CMC_PRO_API_KEY' => '4b615810-ff42-4463-8ba9-cea6713041b7',
            'Accepts' => 'application/json',
        ];
    }
}
